> For the complete documentation index, see [llms.txt](https://docs.videograph.ai/llms.txt).
> Use it to discover all available pages before exploring further.

# List Livestreams


<PlaygroundComponent />

<AuthParams schemes={["basicAuth"]}>
<AuthType scheme="basicAuth">
<ParamField header="Authorization" param-type="string" required="true">
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
</ParamField>
</AuthType>
</AuthParams>

### Query Parameters

<ParamField showLocation="false" query="record" param-type="boolean" required="true">
true for liverecordings and false for livestreams
</ParamField>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X GET "https://api.videograph.ai/video/services/api/v1/livestreams?record=true" \
  -H "Content-Type: application/json" \
  -H "Authorization: Basic YOUR_CREDENTIALS"
```

```python
import requests
import json

url = "https://api.videograph.ai/video/services/api/v1/livestreams?record=true"
headers = {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}

response = requests.get(url, headers=headers)
print(response.json())
```

```javascript
const response = await fetch("https://api.videograph.ai/video/services/api/v1/livestreams?record=true", {
  method: "GET",
  headers: {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
)

func main() {
    
    req, err := http.NewRequest("GET", "https://api.videograph.ai/video/services/api/v1/livestreams?record=true", nil)
    if err != nil {
        panic(err)
    }
    
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()
    
    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api.videograph.ai/video/services/api/v1/livestreams?record=true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - OK" default-open="true">

*OK*

</Expandable>

</div>

<Response tabs="200">

```json
{
  "code": 200,
  "data": [
    {
      "created_at": 1672715707376,
      "status": "Initializing",
      "statusId": 1,
      "streamUUID": "b7ce0bf9-c139-40f4-9306-753a534912c6"
    },
    {
      "created_at": 1667282138558,
      "status": "Idle",
      "statusId": 3,
      "streamUUID": "cb570748-c6c8-4f5b-8b69-330f6af0bb37"
    }
  ],
  "message": "List live streams by record: true",
  "status": "Success"
}
```

</Response>

